Bug 127419 - Backport dbchange from Class::MethodMaker v2 to v1
Backport dbchange from Class::MethodMaker v2 to v1
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karen Jacqmin-Adams
Red Hat Satellite QA List
:
Depends On:
Blocks: 141521
  Show dependency treegraph
 
Reported: 2004-07-07 18:57 EDT by Mihai Ibanescu
Modified: 2008-05-02 14:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 14:24:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Faraldo 2004-07-07 18:57:58 EDT
dbchange was written for Class::MethodMaker v2, but RHN Satellite will
use Class::MethodMaker v1 for the Triumph release.
Comment 1 Dave Faraldo 2004-07-07 19:06:10 EDT
Port complete.  Automated tests are in cvs://rhn/sql/dbchange/test
(see the README file) and a manual test plan is in
cvs://rhn/sql/dbchange/test/manual/TEST_PROCEDURE.
Comment 2 Fanny Augustin 2004-07-15 11:33:01 EDT
I tried to run the automated test scripts (just seem faster ;-)), but
I received an error while I tried to install the NOCpulse and NPusers
to be able to run the test.  Below is the error message.  Any idea
what could be causing the problem?  Thanks!

[root@dhcp59-212 root]# rpm -Uvh NOCpulse-Utils-1.9.0-2.noarch.rpm
NPusers-1.8.0-0.noarch.rpm
Preparing...               
########################################### [100%]
   1:NPusers               
########################################### [ 50%]
* Adding users
 -- Apache user httpd
groupadd: gid 48 is not unique
useradd: uid 48 is not unique
passwd: Unknown user name 'httpd'.
 -- Oracle user oinstall
groupadd: group dba exists
useradd: cannot create directory /home/oracle
/bin/chmod: failed to get attributes of `/home/oracle': No such file
or directory
 -- Dynamo user dynamo
useradd: cannot create directory /home/dynamo
 -- Login account nocops
useradd: cannot create directory /home/nocops
 -- Prod account nocpulse
useradd: cannot create directory /home/nocpulse
passwd: Unknown user name 'nocpulse'.
 -- Telalert user telalert
useradd: cannot create directory /home/telalert
 -- Useless brain-dead software user innovate (kill me now)
useradd: cannot create directory /home/innovate
 -- Provisioning user config
useradd: cannot create directory /home/config
* Finished adding users
* Setting passwds
 -- root
* Finished setting root passwd
* Setting up nocpulse homedir
mkdir: cannot create directory `/home/nocpulse/': No such file or
directory
mkdir: cannot create directory `/home/nocpulse/bin': No such file or
directory
mkdir: cannot create directory `/home/nocpulse/etc': No such file or
directory
mkdir: cannot create directory `/home/nocpulse/libexec': No such file
or directory
mkdir: cannot create directory `/home/nocpulse/var': No such file or
directory
mkdir: cannot create directory `/home/nocpulse/var/archives': No such
file or directory
chown: `nocpulse.nocpulse': invalid user
* Finished setting up nocpulse homedir
   2:NOCpulse-Utils        
########################################### [100%]
error: unpacking of archive failed on file
/home/nocpulse/bin/runtest.pl;40f6a36d: cpio: mkdir failed - No such
file or directory
Comment 3 Dave Faraldo 2004-07-15 13:20:26 EDT
For some reason, 'useradd' is unable to create the directory
/home/nocpulse (or /home/anything, looks like).  It looks like /home
doesn't exist.  Try creating /home manually before installing the RPMs.
Comment 4 Dave Faraldo 2004-07-15 13:21:26 EDT
Alternately, give me access to the test box and I'll hammer the
required stuff into place.  :)
Comment 5 Fanny Augustin 2004-07-15 14:54:20 EDT
Thanks Dave!  Below is the info.  Let me know if you have any questions:

box: root@dhcp207.rhndev.redhat.com
passwrd: dog8code

Comment 6 Dave Faraldo 2004-07-15 19:05:49 EDT
Sorry, Fanny -- that box is a regular AS2.1 box.  The dbchange stuff
requires code installed on a satellite (e.g. PXT).  Do you have an AS3
satellite to test it on?
Comment 7 Fanny Augustin 2004-07-16 09:17:35 EDT
Hi Dave,
Not at the moment, all my sats are AS2.1.  I'll try to build an AS3
one and let you know.  Thanks!
Comment 8 Fanny Augustin 2004-07-16 09:44:15 EDT
Hi Dave,
I am moving this bug to rhn350sat since it requires a 3.5 sat (AS3)
build and we are not there yet.  I'll will update bug once I can get a
hold of a stable iso to build a 3.5 sat, so that you can help me with
the automation test setup.  Thanks!
Comment 9 Fanny Augustin 2004-11-23 15:50:53 EST
Dave has left the company so I am not sure what is the status of this
bug.  There a previous test plan that required Dave to set the client
up for me so I can do some testing...but then again he is gone.  Could
you please provide an alternate test plan for this bug or set a client
for me so I can test it. Thanks!
Comment 10 Karen Jacqmin-Adams 2004-11-24 11:54:25 EST
I'll put an installation plan together.
Comment 12 Clifford Perry 2008-05-02 14:24:09 EDT
Assume this is fixed. Closing this one out. Cliff. 

Note You need to log in before you can comment on or make changes to this bug.